package com.pj.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Model: tb_company -- 企业管理
 * @author lbl
 */
public class CompanyDto implements Serializable {

	/**
	 *手续费金额
	 */
	private BigDecimal chargesPrice;

	private Long id;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 法人
	 */
	private String legalPerson;

	/**
	 * 身份证号
	 */
	private String idCard;

	/**
	 * 手机号码
	 */
	private String contact;

	/**
	 * 营业执照
	 */
	private String businessLicense;

	/**
	 * 银行编号(CMB= 招商银行)
	 */
	private String bankNo;

	/**
	 * 银行名称
	 */
	private String bankName;

	/**
	 * 银行账号
	 */
	private String bankAccount;

	/**
	 * 税号
	 */
	private String dutyParagraph;

	/**
	 * 地址全路径如1,22,333
	 */
	private String addressIds;

	/**
	 * 地址
	 */
	private String address;

	/**
	 * 详细地址
	 */
	private String detail;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建人编号
	 */
	private String createBy;

	/**
	 * 创建人名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新人编号
	 */
	private String updateBy;

	/**
	 * 更新人名称
	 */
	private String updateName;

	/**
	 * 删除状态(0=禁用,1=启用)
	 */
	private Long deleteStatus;

	/**
	 * 是否锁住
	 */
	private Integer isLock=0;

	/**
	 * 互市区ID
	 */

	private String tradeAreaId;

	/**
	 * 互市区名称
	 */
	private String tradeAreaName;

	/**
	 * 社会统一ixny代码
	 */
	private String usci;

	public String getUsci() {
		return usci;
	}

	public void setUsci(String usci) {
		this.usci = usci;
	}

	public BigDecimal getChargesPrice() {
		return chargesPrice;
	}

	public void setChargesPrice(BigDecimal chargesPrice) {
		this.chargesPrice = chargesPrice;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}

	public String getIdCard() {
		return idCard;
	}

	public void setIdCard(String idCard) {
		this.idCard = idCard;
	}

	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getBusinessLicense() {
		return businessLicense;
	}

	public void setBusinessLicense(String businessLicense) {
		this.businessLicense = businessLicense;
	}

	public String getBankNo() {
		return bankNo;
	}

	public void setBankNo(String bankNo) {
		this.bankNo = bankNo;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankAccount() {
		return bankAccount;
	}

	public void setBankAccount(String bankAccount) {
		this.bankAccount = bankAccount;
	}

	public String getDutyParagraph() {
		return dutyParagraph;
	}

	public void setDutyParagraph(String dutyParagraph) {
		this.dutyParagraph = dutyParagraph;
	}

	public String getAddressIds() {
		return addressIds;
	}

	public void setAddressIds(String addressIds) {
		this.addressIds = addressIds;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public Long getDeleteStatus() {
		return deleteStatus;
	}

	public void setDeleteStatus(Long deleteStatus) {
		this.deleteStatus = deleteStatus;
	}

	public Integer getIsLock() {
		return isLock;
	}

	public void setIsLock(Integer isLock) {
		this.isLock = isLock;
	}

	public String getTradeAreaId() {
		return tradeAreaId;
	}

	public void setTradeAreaId(String tradeAreaId) {
		this.tradeAreaId = tradeAreaId;
	}

	public String getTradeAreaName() {
		return tradeAreaName;
	}

	public void setTradeAreaName(String tradeAreaName) {
		this.tradeAreaName = tradeAreaName;
	}
}
